mkdir -vp $HOME/.config/systemd/user
mkdir -vp $HOME/.config/environment.d

. aux/bdbg/bdbg.sh

_level=2
_debug=1

cp -v systemd/cic-cache-server.service $HOME/.config/systemd/user/
cp -v systemd/bloxberg.service $HOME/.config/systemd/user/
dbg $dbg_debug "writing rendered services file $p"

export PYTHON_BIN_PATH=`. aux/pylocation/pylocation.sh 2> /dev/null`
dbg $dbg_info "using python bin path $PYTHON_BIN_PATH for systemd executables"
PYTHON_BIN_PATH=$PYTHON_BIN_PATH ./aux/bash-templater/templater.sh systemd/cic-cache-tracker.service > $HOME/.config/systemd/user/cic-cache-tracker.service

for f in systemd/env/*.conf; do
	b=`basename $f`
	p=$HOME/.config/environment.d/$b
	dbg $dbg_debug "writing rendered environment file $p"
	./aux/bash-templater/templater.sh $f > $p
done

#cp -v systemd/env/*.conf $HOME/.config/environment.d/
cp -v systemd/bin/cic_cache_server_start.sh $HOME/.local/bin/

chmod -v 750 $HOME/.local/bin/cic_cache_server_start.sh

systemctl --user daemon-reload
